Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1948432

Summary: efi: Failed to lookup EFI memory descriptor for 0x000000003a572000
Product: [Fedora] Fedora Reporter: Chris Murphy <bugzilla>
Component: shimAssignee: Peter Jones <pjones>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: fmartine, mjg59, pbrobinson, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: shim-15.4-4 shim-15.4-5 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-23 21:03:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
dmesg shim-15.4-3
none
dmesg shim-15-8 none

Description Chris Murphy 2021-04-12 07:31:33 UTC
Description of problem:

This message appears in journalctl in red text, only with shim-15.4-3. If shim-15-8 is used, it doesn't happen.


Version-Release number of selected component (if applicable):
shim-x64-15.4-3.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Boot with shim-x64-15.4-3.x86_64 installed
2.
3.

Actual results:

[    0.020553] kernel: efi: Failed to lookup EFI memory descriptor for 0x000000003a572000


Expected results:


Uncertain. But it's in red text so it's got my attention.


Additional info:

Will attach dmesg for boots with both shim versions, using efi=debug

Comment 1 Chris Murphy 2021-04-12 07:32:03 UTC
Created attachment 1771309 [details]
dmesg shim-15.4-3

Comment 2 Chris Murphy 2021-04-12 07:32:18 UTC
Created attachment 1771310 [details]
dmesg shim-15-8

Comment 3 Fedora Update System 2021-04-21 11:20:18 UTC
FEDORA-2021-cab258a413 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

Comment 4 Fedora Update System 2021-04-21 11:20:29 UTC
FEDORA-2021-cab258a413 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

Comment 5 Fedora Update System 2021-04-21 15:00:57 UTC
FEDORA-2021-cab258a413 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cab258a413`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-04-23 21:03:32 UTC
FEDORA-2021-cab258a413 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-05-05 01:09:23 UTC
FEDORA-2021-6af97ebae4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.